* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, sans-serif;
    height: 100vh;
}

.container {
    display: flex;
    height: 100vh;
}

.form-section, .image-section {
    flex: 1;
    position: relative;
}

.form-box {
    max-width: 600px;
    margin: auto;
    padding: 40px;
    text-align: center;
}

.logo {
    max-width: 400px;
    margin-bottom: 20px;
}

input {
    width: 100%;
    padding: 12px;
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 6px;
}

button {
    background-color: blue;
    color: white;
    padding: 12px;
    width: 100%;
    border: none;
    border-radius: 6px;
    margin-top: 10px;
    cursor: pointer;
}

button:hover {
    background-color: cornflowerblue;
}

.links {
    margin-top: 15px;
    font-size: 14px;
}

.image-section img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.erreur-box {
    background-color: #ffe0e0;
    color: #a30000;
    border: 1px solid #ff4d4d;
    padding: 12px;
    border-radius: 6px;
    margin-bottom: 15px;
    text-align: center;
    font-weight: bold;
}

.font-card-dashboard {
    font-size: x-large;
}

#mainContent { min-width: 0; }
#content { max-width: 100%; }

/* --------- Mobile layout --------- */
@media (max-width: 768px) {
    .container {
        flex-direction: column;
        position: relative;
        height: 100vh;
    }

    .image-section {
        height: 100vh;
        width: 100%;
    }

    .image-section img {
        height: 100vh;
        width: 100%;
        object-fit: cover;
        filter: brightness(60%);
        z-index: 1;
    }

    .form-section {
        position: absolute;
        top: 0;
        left: 0;
        height: 100vh;
        width: 100%;
        background-color: rgba(255, 255, 255, 0.85);
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 20px;
        z-index: 2;
    }

    .logo {
        max-width: 100px;
        margin-bottom: 20px;
    }

    .form-box {
        background: white;
        border-radius: 10px;
        padding: 30px;
        width: 90%;
        max-width: 350px;
    }

    .fony-card-dashboard {
        font-size: large;
    }
}